#include <bits/stdc++.h>
using namespace std;
long long m[100001], p[100001][2];
int main()
    {
        ios_base::sync_with_stdio(0);
        cin.tie(0);
        cout.tie(0);
        int N;
        cin >> N;
        for(int i=1;i<=N;++i) cin >> m[i];
        int temp=1;
        int cnt=1;
        p[1][0]=m[1];
        for(int i=2;i<=N;++i)
            {
                if(m[i]==m[i-1]) ++cnt;
                else
                    {
                        p[temp][1]=cnt;
                        ++temp;
                        cnt=1;
                        p[temp][0]=m[i];
                    }
            }
        p[temp][1]=cnt;
        //for(int i=1;i<=temp;++i) cout << p[i][0] << " " << p[i][1] << "\n";
        cnt=0;
        long long s=0;
        for(int i=temp;i>=1;--i)
            {
               if(p[i][0]>cnt) s+=p[i][1]*p[i][0];
               cnt+=p[i][1];
            }
        cout << s;
        return 0;
    }

